Main Page Packages Class Hierarchy Compound List File List Compound Members

# processinginstructionsetdatanomodificationallowederr Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| processinginstructionsetdatanomodificationallowederr (DOMTestDocumentBuilderFactory factory) throws DOMTestIncompatibleException
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The "setData(data)" method for a processing instruction causes the DOMException NO_MODIFICATION_ALLOWED_ERR to be raised if the node is readonly.

Obtain the children of the THIRD "gender" element. The elements content is an entity reference. Try to remove the "domestic" attribute from the entity reference by executing the "setData(data)" method. This causes a NO_MODIFICATION_ALLOWED_ERR DOMException to be thrown.

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#xpointer(id('ID-258A00AF')/constant[@name='NO_MODIFICATION_ALLOWED_ERR']) , http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-837822393 , http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#xpointer(id('ID-837822393')/setraises/exception[@name='DOMException']/descr/p[substring-before(.,':')='NO_MODIFICATION_ALLOWED_ERR']) , http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-837822393

Definition at line 49 of file processinginstructionsetdatanomodificationallowederr.java.

## Constructor & Destructor Documentation

processinginstructionsetdatanomodificationallowederr::processinginstructionsetdatanomodificationallowederr | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 51 of file processinginstructionsetdatanomodificationallowederr.java. References DocumentBuilderSetting::notExpandEntityReferences, and DOMTest::setFactory().
    00052                                      {
    00053
    00054       DocumentBuilderSetting[] settings = new DocumentBuilderSetting[] {
    00055 DocumentBuilderSetting.notExpandEntityReferences
    00056         };
    00057         DOMTestDocumentBuilderFactory testFactory = factory.newInstance(settings);
    00058         setFactory(testFactory);
    00059
    00060    }

## Member Function Documentation

String processinginstructionsetdatanomodificationallowederr::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 88 of file processinginstructionsetdatanomodificationallowederr.java.
    00088                                 {
    00089       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/processinginstructionsetdatanomodificationallowederr";
    00090    }

void processinginstructionsetdatanomodificationallowederr::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 91 of file processinginstructionsetdatanomodificationallowederr.java. References DOMTestCase::doMain().
    00091                                           {
    00092         DOMTestCase.doMain(processinginstructionsetdatanomodificationallowederr.class,args);
    00093    }

void processinginstructionsetdatanomodificationallowederr::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 62 of file processinginstructionsetdatanomodificationallowederr.java. References DOMTestCase::assertTrue(), and DOMTest::load().
    00062                                                     {
    00063       Document doc;
    00064       NodeList genderList;
    00065       Node gender;
    00066       Node entRef;
    00067       ProcessingInstruction piNode;
    00068       String data;
    00069       doc = load("staff");
    00070       genderList = doc.getElementsByTagName("gender");
    00071       gender = genderList.item(2);
    00072       entRef = gender.getFirstChild();
    00073       piNode = (ProcessingInstruction)entRef.getLastChild();
    00074
    00075         {
    00076                 boolean success = false;
    00077                 try {
    00078                         piNode.setData("newData");
    00079
    00080                 }
    00081                 catch(DOMException ex) {
    00082                         success = (ex.code == DOMException.NO_MODIFICATION_ALLOWED_ERR);
    00083                 }
    00084                 assertTrue("throw_NO_MODIFICATION_ALLOWED_ERR",success);
    00085         }
    00086
    00087    }

The documentation for this class was generated from the following file:

- processinginstructionsetdatanomodificationallowederr.java